#nav-parts {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 100%;
}

#nav-part-left {
    height: 100%;
    display: flex;
    color: var(--njorka-white);
    justify-content: center;
    align-items: center;
    padding-left: 2em;
    font-size: 1.2em;
    user-select: none;
}

.dropdown-menu {
    position: absolute;
    width: 100%;
    height: 400px;
    display: flex;
    flex-direction: row;
    gap: 2em;
    padding: 1em 1em 1em 200px;
    margin: 0;
    opacity: 0;
    border-radius: 0;
    pointer-events: none;
    transition:
        opacity 200ms ease,
        transform 200ms ease;
}

.dropdown-menu-column {
    display: flex;
    flex-direction: column;
    min-width: 200px;
    padding-top: 20px;
}

.dropdown-menu-column ul {
    list-style: none;
    padding: 0;
}

.vitamin-column {
    display: flex;
    flex-direction: column;
    min-width: 180px;
}

.vitamin-columns-wrapper {
    display: flex;
    flex-direction: row;
    gap: 15px;
}

.vitamin-column ul {
    list-style: none;
    padding: 0;
}

.dropdown-menu-column ul li {
    margin-bottom: 5px;
}

.dropdown-menu-column ul li a {
    color: #777;
    text-decoration: none;
    font-size: 1.4em;
    padding: 8px 8px;
    display: block;
    transition:
        background-color 0.3s ease,
        color 0.3s ease;
}

.dropdown-menu-column ul li a:hover {
    background-color: #56c9f4;
    color: #ffffff;
}

.menu-column-image {
    display: flex;
    align-items: center;
    height: 50px;
}

.menu-column-link {
    font-size: 28px;
    text-decoration: none;
    color: #333;
}

#produkti:hover #dropdown-menu-level-1 {
    display: flex !important;
}

#resitve:hover #dropdown-menu-level-2 {
    display: flex !important;
}

.nav-blog-card {
    background: var(--color-background);
    overflow: hidden;
    box-shadow: 0 2px 8px rgba(var(--njorka-light-blue-rgb), 0.1);
    transition: transform 0.3s ease;
    min-height: 200px;
    min-width: 300px;
    max-width: 300px;
    display: flex;
    flex-direction: column;
}

.nav-blog-card:hover {
    transform: translateY(-5px);
    cursor: pointer;
}

.nav-blog-card a {
    display: -webkit-box;
    flex-direction: column;
    padding: 10px;
    font-size: 1.4em;
    color: var(--njorka-dark-blue);
    text-decoration: none;
    width: 300px;
    height: 200px;
    overflow: hidden !important;
    -webkit-line-clamp: 6;
    line-clamp: 6;
    -webkit-box-orient: vertical;
}

.nav-blog-image {
    height: 100px;
    background-color: var(--njorka-light-gray);
    /* Fallback for no image */
    overflow: hidden;
    /* Ensure image fits */
    display: flex;
    align-items: center;
    justify-content: center;
}

.nav-blog-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.nav-blog-cta {
    display: flex;
    flex-direction: column;
    color: var(--njorka-light-blue);
    justify-content: center;
    align-items: center;
    font-size: 1.4em;
    text-decoration: none;
    text-align: center;
}

#nav-part-right {
    height: 100%;
    display: flex;
    align-self: flex-end;
    color: var(--njorka-white);
    justify-content: center;
    align-items: center;
    padding-right: 2em;
    font-size: 1.2em;
    user-select: none;
    margin-left: auto;
}

#nav-part-right a {
    height: 100%;
    display: flex;
    align-items: center;
    cursor: pointer;
}

.nav-cta-text {
    display: block;
}

.nav-shop {
    text-decoration: none;
    font-weight: 600;
    transition: all var(--duration-normal) var(--ease-standard);
    padding: 0px;
    transition: background-color 0.3s ease;
    width: 150px;
    height: 50px;
    line-height: 50px;
    font-size: 20px;
    background: #cce310;
    color: var(--njorka-blue);
    text-align: center;
    display: flex;
    justify-content: center;
    gap: 10px;
}

.nav-shop:hover {
    background: var(--njorka-white);
    color: #90a10a;
}

#burger-menu {
    display: none;
    width: 35px;
    height: 30px;
    background: none;
    border: none;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 0;
    margin-left: auto;
}

#burger-menu span {
    display: none;
    height: 4px;
    width: 100%;
    background-color: white;
    border-radius: 2px;
    transition:
        transform 0.3s ease,
        opacity 0.2s ease;
}

/* Active (X) state */
#burger-menu.active span:nth-child(1) {
    transform: translateY(13px) rotate(45deg);
}

#burger-menu.active span:nth-child(2) {
    opacity: 0;
}

#burger-menu.active span:nth-child(3) {
    transform: translateY(-13px) rotate(-45deg);
}

@media (max-width: 1750px) {
    .dropdown-menu {
        padding-left: 0px;
    }
}

@media (max-width: 1280px) {
    .nav-blog-card {
        min-width: 200px;
    }
}

@media (max-width: 1045px) {
    #nav-parts {
        display: none;
    }

    .nav-container {
        padding-right: 1em;
    }

    #burger-menu,
    #burger-menu span {
        display: inherit;
    }

    .logo-img {
        height: 60px;
        display: block;
    }

    .nav-shop {
        width: 140px;
        height: 40px;
        line-height: 40px;
    }
}

@media (max-width: 768px) {
    .logo-img {
        height: 50px;
        display: block;
    }

    .nav-cta {
        width: 60px;
    }

    .nav-shop {
        width: 60px;
    }

    .nav-cta-text {
        display: none;
    }

    .nav-cta-pomoc {
        display: none;
    }

    .burger-menu-section {
        flex-direction: column;
        gap: 0px !important;
    }

    .burger-menu-section ul {
        margin-bottom: 0;
    }
}

#burger-menu-content {
    position: fixed;
    top: 80px;
    left: 0;
    width: 100%;
    height: calc(100vh - 80px);
    background-color: var(--njorka-white);
    z-index: 999;
    flex-direction: column;
    padding: 1em 1em;
    font-weight: 500;
    font-size: 1em;
    overflow-y: auto;
    transform: translateX(100%);
    transition: transform 0.3s ease-in-out;
}

#burger-menu-content.show {
    transform: translateX(0);
}

.burger-link {
    display: block;
    padding: 0.5em;
    text-decoration: none;
    font-size: 1.2em;
    color: var(--njorka-dark-blue);
}

.burger-link i {
    float: right;
}

.burger-menu-section {
    margin: 30px 10px;
    display: none;
    flex-wrap: wrap;
    gap: 20px;
}

.burger-menu-section.show {
    display: flex;
}

.burger-menu-section ul {
    padding: 0;
}

.burger-menu-section ul li {
    list-style: none;
    border-bottom: 1px solid #ccc;
}

.burger-menu-section ul li a {
    color: #777;
    text-decoration: none;
    margin: 8px 8px;
    font-size: 1em;
    display: block;
    transition:
        background-color 0.3s ease,
        color 0.3s ease;
}

.nav-burger-blog-card {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    margin: -6px 0px;
    text-wrap: wrap;
}

.nav-burger-blog-card a {
    color: #777 !important;
}

.cookies-bar {
    position: fixed;
    bottom: 1em;
    right: 1em;
    z-index: 1000;
    background: var(--njorka-dark-blue);
    color: var(--njorka-white);
    padding: 1em;
    max-width: 460px;
}

.cookies-bar h3 {
    padding: 0;
}

.cookies-bar-btn-accept {
    background: var(--njorka-light-blue);
    color: var(--njorka-white);
    border: none;
    padding: 0.5em 1em;
    cursor: pointer;
    margin-right: 1em;
}

.cookies-bar-btn-reject {
    color: var(--njorka-white);
    border: none;
    padding: 0.5em 1em;
    cursor: pointer;
}

.cookies-bar-btn-accept:hover {
    background: var(--njorka-white);
    color: var(--njorka-light-blue);
}

.cookies-bar-btn-reject:hover {
    color: var(--njorka-light-blue);
}

@media (max-width: 767px) {
    .cookies-bar {
        position: fixed;
        bottom: 0;
        left: 0;
        right: 0;
        max-width: 100%;
        width: 100%;
    }

    .cookies-bar-btn-accept {
        position: fixed;
        bottom: 10px;
        right: 0;
    }
}
